Send Task Message
curl --request POST \
--url https://api.example.com/api/tasks/{task_id}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"attachment_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"develop_enabled": true,
"display_content": "<string>",
"is_retry": false,
"plan_first_enabled": true,
"selected_branches": {}
}
'import requests
url = "https://api.example.com/api/tasks/{task_id}/messages"
payload = {
"content": "<string>",
"attachment_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"develop_enabled": True,
"display_content": "<string>",
"is_retry": False,
"plan_first_enabled": True,
"selected_branches": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
attachment_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
develop_enabled: true,
display_content: '<string>',
is_retry: false,
plan_first_enabled: true,
selected_branches: {}
})
};
fetch('https://api.example.com/api/tasks/{task_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}public
Send Task Message
Send a message to a task’s chat. Saves the user message, calls the agent on the K8s pod, proxies the SSE stream back to the frontend, and saves the assistant response on completion.
Architecture: Frontend -> Backend (this) -> Agent (K8s pod) -> Backend -> Frontend The database is only accessed here in the orchestration API.
POST
/
api
/
tasks
/
{task_id}
/
messages
Send Task Message
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
chat, system_event Available options:
plan, build Available options:
auto, hatchling, striker, apex Response
Successful Response
⌘I